#!/bin/sh
#
# This is a patch after script,  generated by the patchgen script.
# You should not edit this file.
#
_TMP="$TMP"
if [ "x$_TMP" != x ]; then
    # Unscrew NuTcracker screwyness.
    _TMP=`echo "$_TMP" | sed 's!/\([a-zA-Z]\)=/!\1:/!g'`
    if [ ! -d "$_TMP" ]; then
	unset _TMP
    fi
fi
if [ "x$_TMP" = x ]; then
    # This should be a no-op on Unix, but on NT the chances are good that
    # there really will be a $DBDIR/tmp.
    if [ -d tmp ]; then
	_TMP=`pwd`/tmp
    else
	_TMP=/tmp
	if [ ! -d /tmp ]; then
	    mkdir /tmp
	fi
    fi
fi
export _TMP

if [ -f /tmp/TransferEnv ] ; then
    set -a
    . /tmp/TransferEnv
fi

PatchId=ADM31404_ALIDB_$1
PATH=${PATH}:/usr/ucb

if [ -d "$ThisDir" ]; then
    cd $ThisDir
fi

sh >$_TMP/${PatchId}.output 2>$_TMP/${PatchId}.error <<\MAIN_EOF
set -xe

#
# Get the NameRegistry, InterfaceRepository and Library object IDs
# If the appropriate env variables are already set, then we
# don't need to get them again.  Additionally, if we need to get
# the InterfaceRepository oid, go ahead and put it into replace mode.
#
NameRegistry=${NameRegistry:-`wlookup NameRegistry`}
export NameRegistry
TNR=$NameRegistry
export TNR

Library=${Library:-`wlookup Library`}
export Library
CLO=$Library
export CLO

if [ -z "$InterfaceRepository" ] ; then
	InterfaceRepository=`wlookup InterfaceRepository`
        export InterfaceRepository
	idlattr -s -t $InterfaceRepository replace_mode boolean TRUE
fi

#################################################
# /tivoli/builds/3/TMP_3.1/prod/export/bin/solaris2/ADE/patchgen generated after script
# PatchId:	ADM31404
#

#########
# Begin update implementation.  IR file:  TME/NDOS/ndos_ir.ist 
#
# Update Interface Repository information
irpopulate TME/NDOS/ndos_ir.tar

#
# Updating Implementation:  imp_NisDomain::NisCore
#
# Lookup InstanceManager for impl:  imp_NisDomain::NisCore
imp_NisDomain_NisCore_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_NisDomain::NisCore\"'`

# Update class:  imp_NisDomain::NisCore
imp_NisDomain_NisCore_CO=`objcall $CLO update_class_cli -c  -i NisDomain::NisCore  -p imp_TMF_CCMS::ProfileEndpoint -p imp_NisDomain::NisGUI   -s dbm_dir_path -s default_src_path -s maps -s locks -s master -s slaves -s clients -s domain_name -s log_level -s make_script_attr -s push_script_attr -s edit_script_attr -s pwaging  imp_NisDomain::NisCore`
export imp_NisDomain_NisCore_CO

# Update method headers:  imp_NisDomain::NisCore
# Lookup behavior object for imp:   imp_NisDomain::NisCore 
imp_NisDomain_NisCore_BO=`idlcall $imp_NisDomain_NisCore_CO TMF_Root::MetaBase::get_behavior`
export imp_NisDomain_NisCore_BO

mextract TME/NDOS/ndos_ist.tar << EOF
imp_NisDomain::NisCore $imp_NisDomain_NisCore_BO
EOF


#########
# Begin update implementation.  IR file:  TME/USERPROFILE/uto_ir.ist 
#
# Update Interface Repository information
irpopulate TME/USERPROFILE/uto_ir.tar

#
# Updating Implementation:  imp_UserProfile
#
# Lookup InstanceManager for impl:  imp_UserProfile
imp_UserProfile_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_UserProfile\"'`

# Update class:  imp_UserProfile
imp_UserProfile_CO=`objcall $CLO update_class_cli -c  -i UserProfile  -p imp_TMF_CCMS::Profile -p imp_UserGui::UserCbs -p imp_TUGProfile -p imp_ADMSEC::UserProfileExt   -s actions -s profile_oneshots -s version -s key_counter  imp_UserProfile`
export imp_UserProfile_CO

# Update method headers:  imp_UserProfile
# Lookup behavior object for imp:   imp_UserProfile 
imp_UserProfile_BO=`idlcall $imp_UserProfile_CO TMF_Root::MetaBase::get_behavior`
export imp_UserProfile_BO

mextract TME/USERPROFILE/uto_ist.tar << EOF
imp_UserProfile $imp_UserProfile_BO
EOF

# Updating presentation object:  NisDomain
initpres NisDomain -pres-name -put \
	dialog map_props TME/NDOS/map_props.d 
set -e


# Adding attribute to instances of:  imp_NisDomain::NisCore
# name = pwaging
# type = boolean
# value = FALSE 
#
# Lookup InstanceManager for impl:  imp_NisDomain::NisCore
imp_NisDomain_NisCore_CO=${imp_NisDomain_NisCore_CO:-`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_NisDomain::NisCore\"'`}
idlresattr -t -a -v $imp_NisDomain_NisCore_CO pwaging boolean FALSE 

# Executing after script:  NIS_upg.sh
sh -xe <<\ALIDB_EOF

#!/bin/sh
#
# ALIDB after script for installing the NIS upgrade for 3.6.1
#
#
# I used the NewAttr .pi file directive -- but it does not go far enough.
# It does call idlresattr on the NisDomain Class Object (the instance manager object)
# but it does not touch the prototype oid. Do that here.
#
# Defect 52508. Make a call to winstendpt here to reattach the
# umbo behavior onto the NisDomain class object.


echo ================================================================
date

# figure out some basic things
# BO=`objcall 0.0.0 self`
# OSERV=`objcall $BO getattr oserv`
# bindir=`objcall $OSERV query install_dir`
# arch=`objcall $OSERV query interp`
# DBDIR=`objcall $OSERV query db_dir`


set -e

set -v

# Get HostOID
HostOid=`objcall 0.0.0 o_getattr HostLocation`
echo HostOid=$HostOid

# get object id for Library
LibraryOid=`wlookup Library`
echo LibraryOid=$LibraryOid

# get NisDomain class object (an instance manager object)
NisDomainClassOid=`idlcall $LibraryOid TMF_SysAdmin::Library::lookup_object '"NisDomain" {0}' `
echo NisDomainClassOid=$NisDomainClassOid

# get the NisDomain prototype oid
NisDomainPrototypeOid=`idlcall $NisDomainClassOid TMF_Root::MetaBase::get_prototype $HostOid `
echo NisDomainPrototypeOid=$NisDomainPrototypeOid

# add the pwaging attribute on the prototype object
idlattr -t -a $NisDomainPrototypeOid pwaging boolean FALSE
echo idlattr rc $?

# 52508

UserManagementCO=`wlookup -r Classes UserManagement`
echo UserManagementCO=$UserManagementCO

winstendpt $UserManagementCO $NisDomainClassOid


# 52939

GroupManagementCO=`wlookup -r Classes GroupManagement`
echo GroupManagementCO=$GroupManagementCO

winstendpt $GroupManagementCO $NisDomainClassOid



exit 0

exit 0

ALIDB_EOF

set +e
xargs rm -f <<EOF

TME/NDOS/ndos_ir.tar
TME/NDOS/ndos_ist.tar
TME/USERPROFILE/uto_ir.tar
TME/USERPROFILE/uto_ist.tar
TME/NDOS/map_props.d
EOF

xargs rmdir <<EOF
TME/USERPROFILE
TME/NDOS
TME
EOF

exit 0
MAIN_EOF

SSSTAT=$?
# any output needs to go to stderr
	 
if [ $SSSTAT -ne 0 ]; then
    echo "" >&2
    echo "Failure: the last few lines of the error log ($_TMP/$PatchId.error):" >&2
    tail $_TMP/$PatchId.error >&2
    if [ ! -z "$FileIfInstalled" ] ; then
    	rm -f $FileIfInstalled
    fi
else
    echo "Patch install completed successfully." >&2
    rm -f $_TMP/$PatchId.error $_TMP/$PatchId.output
fi
exit $SSSTAT
